Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.

From: Juri Linkov <[email-masked]>
Date: Sun, 03 Nov 2019 22:22:20 +0200

>> Does Emacs freeze when you set the 'default' face to ultra-bold underline?
>>
>> (set-face-attribute 'default nil :weight 'ultra-bold :underline t)
>>
>> When I tried, it signals '(wrong-type-argument bufferp nil)'
>> in "command-error-default-function" and goes into infinite loop.
>> I have no idea what is wrong.
>
> I commented all my `set-face-attribute` lines and it works fine.
>
> Then I added only:
>
> (set-face-attribute 'default nil :weight 'ultra-bold :underline t)
>
> and it also freezes when opening a tab.

Ah, I see why you don't see the same freeze without using tab-bar.
This is because you use the Gtk menu-bar and Gtk tool-bar.
But when you configure to use non-toolkit menu-bar/tool-bar,
it freezes immediately after evaluating the above line in 'emacs -Q'.
I tried to debug, but it freezes while displaying the menu-bar
in code that I don't understand.